package com.clx.performance.service.settle;

public interface SettlementMqService {

    void settlementDetailAdd(Integer settlementOwnerDetailId, Integer settlementDriverDetailId);

    void settlementStatistics(String childNo);
    void settlementStatistics(String childNo, Integer type);
    void settlementDriverSettle(String childNo);

    void invoiceTypeSync(String childNo);

    void driverPayAcceptSync(String childNo);

    void settle(String childNo, Integer invoiceType, String remark);

    void invoiceStatusSync(String childNo);

    void payStatusSync(String childNo);

    void riskAdd(Integer id);

    void riskProcess(Integer id);

    void updateInvoiceCompany(Integer id);

    void settlementPlatformAutoConfirmUpdate(String settlementNo);

    void settlementInvoiceStatusUpdate(String settlementNo);

    void settlementDriverConfirm(String childNo);

}
